Generate an image (qwen-image)
curl --request POST \
--url https://api.ai.cc/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image",
"input": {
"messages": [
{
"role": "user",
"content": [
{
"text": "A cute baby sea otter"
}
]
}
]
},
"parameters": {
"negative_prompt": "",
"prompt_extend": true,
"watermark": false,
"size": "1328*1328"
}
}
'import requests
url = "https://api.ai.cc/v1/images/generations"
payload = {
"model": "qwen-image",
"input": { "messages": [
{
"role": "user",
"content": [{ "text": "A cute baby sea otter" }]
}
] },
"parameters": {
"negative_prompt": "",
"prompt_extend": True,
"watermark": False,
"size": "1328*1328"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen-image',
input: {messages: [{role: 'user', content: [{text: 'A cute baby sea otter'}]}]},
parameters: {negative_prompt: '', prompt_extend: true, watermark: false, size: '1328*1328'}
})
};
fetch('https://api.ai.cc/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}Qwen
Generate Images
Image generation for the qwen-image/wan series
POST
/
v1
/
images
/
generations
Generate an image (qwen-image)
This endpoint integrates a third-party model. For detailed parameter information, please refer to the official documentation at Qwen Docs.
Authorizations
Authentication is done using Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
Body
application/json
⌘I

